/**
* \file
* ColorLight.h
* \brief
* Steuert die LEDs ueber PWM an
* \version 
* v. 1.2 Weisse LED ist beim Fading neu ausgeschaltet <br>
* v. 1.1 Lichtintensitaet steigt waehrend den ersten 10 min linear, danach Lichtfading <br>
* v. 1.0 Erste Version
* \date
* Create: 23.07.2008 <br>
* Modify: 15.02.2009
* \author
* Philipp Kaelin 
*/

#ifndef _COLORLIGHT_H_
	#define _COLORLIGHT_H_

	//***********
	//* Includes
	//***********
	#include <avr/io.h>
	#include "global.h"
	#include "init.h"
	#include "task_handler.h"
	#include "application.h"
	#include "debug.h"
	

	//**********
	//* Defines
	//**********

	// Zeitbasis
	#define COLORCNTMAX		200		// 100ms / 512us = 200
	
	// PWM Ausgaenge
	#define REDPWM			OCR0B
	#define GREENPWM		OCR0A
	#define BLUEPWM			OCR1B
	#define WHITEPWM		OCR1A
	
	// Portdefinitionen
	#define REDDDR			DDRD
	#define REDPORT			PORTD
	#define REDPIN			PIND
	#define REDPINNR		5

	#define GREENDDR		DDRD
	#define GREENPORT		PORTD
	#define GREENPIN		PIND
	#define GREENPINNR		6

	#define BLUEDDR			DDRB
	#define BLUEPORT		PORTB
	#define BLUEPIN			PINB
	#define BLUEPINNR		2

	#define WHITEDDR		DDRB
	#define WHITEPORT		PORTB
	#define WHITEPIN		PINB
	#define WHITEPINNR		1

	// Buzzer Pin
	#define BUZZERDDR		DDRD
	#define BUZZERPORT		PORTD
	#define BUZZERPINNR		PORTD3

	
	//*************
	//* Funktionen
	//*************
	void PWMLight (void);

	void UnIntiPWMPeripherie ( void );
	
	void IntiPWMPeripherie ( void );
	
	void BuzzerOff ( void );
	
	void BuzzerOn ( void );
	
#endif


