/**
* \file adc.h
* \brief In dieser Datei sind Funktionen und Definitionen rund um den AD-Wandler
* \version
* v.1.0 Erste Version
* \date
* Create: 28.07.2008 <br>
* Modify: 15.02.2009
* \author Philipp Kaelin 
*/

#ifndef ADC_H
	#define ADC_H

	//***********
	//* Includes
	//***********
	#include <avr/io.h>
	#include <avr/power.h>
	#include <util/delay.h>
	#include "global.h"


	//**********
	//* Defines
	//**********
	#define UBATT_DDR			DDRC
	#define UBATT_PORT			PORTC
	#define UBATT_PIN			PINC
	#define UBATT_PINNR			PC0

	#define UAKKU_DDR			DDRC
	#define UAKKU_PORT			PORTC
	#define UAKKU_PIN			PINC
	#define UAKKU_PINNR			PC1

	// Referenzen
	#define INT_VOLTAGE			1100


	//*************
	//* Funktionen
	//*************
	unsigned int ADC_Read ( void );

	void Set_Channel ( unsigned char mux );

	void Set_ADRefInternal ( void );

	void Read_Voltages ( void );
	
#endif
