/**
* \file
* application.h
* \brief
* Hauptprogramm
* \version
* v. 1.5 Fehler beim Abspeichern der Stunden behoben und Alarm ist whrend dem laufen abschaltbar
* v. 1.4 Alarmeinstellugen werden abgespeichert
* v. 1.3 Alarmanzeige przisiert
* v. 1.2 Alarm jetzt auf bestimmte Wochentage beschraenkbar <br>
* v. 1.1 Menue komplett ueberarbeitet <br>
* v. 1.0 Erste Version
* \date
* Create: 16.10.2008 <br>
* Modify: 02.05.2009
* \author
* Philipp Kaelin
*/

#ifndef _APPLICATION_H_
	#define _APPLICATION_H_

	//***********
	//* Includes
	//***********
	#include <avr/io.h>
	#include <avr/sleep.h>
	#include <avr/power.h>
	#include <avr/wdt.h>
	#include "menue.h"
	#include "global.h"
	#include "PCF8563.h"
	#include "dogm.h"
	#include "task_handler.h"
	#include "tasten.h"
	#include "ColorLight.h"


	//***********
	//* Variabeln
	//***********
	extern const char WeekdayTable[7][2];


	//*************
	//* Funktionen
	//*************
	void Inc_Time ( void );

	void SetTime ( unsigned char *Stunden, unsigned char *Minuten, unsigned char *BusyFlag );

	void SetDate ( unsigned char *Year, unsigned char *Month, unsigned char *Day, unsigned char *Weekday, unsigned char *BusyFlag );
	
	void SetAlarmWeekdays ( unsigned char *BusyFlag );
	
	void LCD_StandardPrompt ( void );

	void LCD_WriteTime (unsigned char *Hour, unsigned char *Min);

	void CheckAlarm ( void );

	void EnterSleep ( void );

	void QuitAlarm ( void );
	
	void LEDsOn ( void );
	
	void LEDsOff ( void );
	
	void WriteAlarmState ( void );
	
	void ReadAlarmState ( void );

	void Reset ( void );
	
	// ----------- Nur fr Debugzwecke -----------
	
	/*void THOV ( void );
	
	void TSOV ( void );*/
	
#endif
