/**
* \file
* init.h
* \brief
* In dieser Datei sind Initialisierungsfunktionen
* \version
* v. 1.0 Erste Version
* \date
* Create: 27.07.2008 <br>
* Modify: 11.01.2009
* \author
* Philipp Kaelin
*/

#ifndef INIT_H
	#define INIT_H

	//***********
	//* Includes
	//***********
	#include <avr/io.h>
	#include <avr/power.h>
	#include "tasten.h"
	#include "ColorLight.h"
	#include "adc.h"


	//**********
	//* Defines
	//**********
	// Interrupt Pin fuer Wecker
	#define DDR_INT			DDRD
	#define PORT_INT		PORTD
	#define PINNR_INT		PORTD1

	// Interrupt Pin fuer Takteingang
	#define DDR_CLKIN		DDRD
	#define PORT_CLKIN		PORTD
	#define PINNR_CLKIN		PORTD2

	
	//************************
	//* Function Declarations
	//************************
	void Init_RTCPins ( void );

	void Init_ADPins ( void );

	void Init_PCI ( void );

	void Init_Tasten ( void );

	void Init_PWMPins ( void );

	void Init_PWMTimers ( void );

	void Init_PWMInterrupt ( void );
	
	void PowerSave ( void );
	
	void Init_Buzzer ( void );

#endif
