/*********
 tasten.c
**********/


//***********
//* Includes
//***********
#include "tasten.h"



/**
* \brief
* Liest den Zustand der Tasten ein
*/
void TastenEinlesen(void)
{
	unsigned char i;
	Next.Counter = 0;
	ESC.Counter = 0;
	OK.Counter = 0;
	Light.Counter = 0;

	_delay_ms(10);
	
	for (i=0; i<20; i++)
	{
		// Taster Mode einlesn
		if (~PIND & 0x10)
		{
			Next.Counter++;
		}
	
		// Taster Set einlesn
		if (~PINC & 0x08)
		{
			ESC.Counter++;
		}
	
		// Taster Up einlesn
		if (~PIND & 0x01)
		{
			OK.Counter++;
		}
	
		// Taster Light einlesn
		if (~PINC & 0x04)
		{
			Light.Counter++;
		}
	}

	if (Next.Counter > 10)
	{
		Next.Kurz = TRUE;
		BacklightOn();
	}

	if (ESC.Counter > 10)
	{
		ESC.Kurz = TRUE;
		BacklightOn();
	}

	if (OK.Counter > 10)
	{
		OK.Kurz = TRUE;
		BacklightOn();
	}

	if (Light.Counter > 10)
	{
		Light.Kurz = TRUE;
		BacklightOn();
		BuzzerOff();		
	}
}


/**
* \brief
* Setzt die Ausschaltzeit fuer das Backlight auf 15s zurueck
*/
void BacklightOn ( void )
{
	SetBacklightOn();
	TaskScheduler_RemoveTask(SetBacklightOff);
	TaskScheduler_AddTask(SetBacklightOff, BACKLIGHT_TIME_ON);
}


/**
* \brief
* Entprellt die Next Taste
*/
void NextEntprellen(void)
{
	while (!(TASTER_NEXT_PIN & (1 << TASTER_NEXT_PINNR)))
	{
		;
	}
	_delay_ms(20);
}


/**
* \brief
* Entprellt die ESC Taste
*/
void ESCEntprellen(void)
{
	while (!(TASTER_ESC_PIN & (1 << TASTER_ESC_PINNR)))
	{
		;
	}
	_delay_ms(20);
}


/**
* \brief
* Entprellt die OK Taste
*/
void OKEntprellen(void)
{
	while (!(TASTER_OK_PIN & (1 << TASTER_OK_PINNR)))
	{
		;
	}
	_delay_ms(20);
}


/**
* \brief
* Entprellt die Light Taste
*/
void LightEntprellen(void)
{
	while (!(TASTER_LIGHT_PIN & (1 << TASTER_LIGHT_PINNR)))
	{
		;
	}
	_delay_ms(20);
}
