/**
* \file tasten.h
* \brief In dieser Datei sind Funktionen zum einlesn und Handling der Tasten
* \version 
* v. 1.0 Erste Version
* \date
* Create: 01.03.2008 <br>
* Modify: 11.01.2009
* \author Philipp Kaelin 
*/

#ifndef TASTEN_H
	#define TASTEN_H

	//***********
	//* Includes
	//***********
	#include <avr/io.h>
	#include <util/delay.h>
	#include "global.h"
	#include "dogm.h"
	#include "ColorLight.h"
	#include "scheduler.h"
	
	
	//**********
	//* Defines
	//**********
	#define TASTER_NEXT_DDR		DDRD
	#define TASTER_NEXT_PORT	PORTD
	#define TASTER_NEXT_PIN		PIND
	#define TASTER_NEXT_PINNR	PD4
	
	#define TASTER_ESC_DDR		DDRC
	#define TASTER_ESC_PORT		PORTC
	#define TASTER_ESC_PIN		PINC
	#define TASTER_ESC_PINNR	PC3
	
	#define TASTER_OK_DDR		DDRD
	#define TASTER_OK_PORT		PORTD
	#define TASTER_OK_PIN		PIND
	#define TASTER_OK_PINNR		PD0
	
	#define TASTER_LIGHT_DDR	DDRC
	#define TASTER_LIGHT_PORT	PORTC
	#define TASTER_LIGHT_PIN	PINC
	#define TASTER_LIGHT_PINNR	PC2
	
	
	//*************
	//* Funktionen
	//*************
	void TastenEinlesen(void);
	
	void BacklightOn ( void );
	
	void NextEntprellen(void);

	void ESCEntprellen(void);
	
	void OKEntprellen(void);
	
	void LightEntprellen(void);
	
#endif

